# sMToken_Unary Struct Reference

`#include <m_token.h>`

## Data Fields

sMToken_base | base
union uMToken * | unary

## Detailed Description

Unary node token. Contains a pointer to a single generic leaf element.

## Field Documentation

sMToken_base sMToken_Unary::base

Base descriptor header.

union uMToken* sMToken_Unary::unary `[write]`

Pointer to leaf element.

The documentation for this struct was generated from the following file:

- src/m_token.h